FreeMat

- Main Page
- Related Pages

vtkVolumeTextureMapper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkVolumeTextureMapper is the abstract definition of a volume mapper that uses a texture mapping approach.

To create an instance of class vtkVolumeTextureMapper, simply invoke its constructor as follows

      obj = vtkVolumeTextureMapper

# Methods

The class vtkVolumeTextureMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVolumeTextureMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVolumeTextureMapper = obj.NewInstance ()`
- `vtkVolumeTextureMapper = obj.SafeDownCast (vtkObject o)`
- `obj.Update ()` - Update the volume rendering pipeline by updating the scalar input
- `obj.SetGradientEstimator (vtkEncodedGradientEstimator gradest)` - Set / Get the gradient estimator used to estimate normals
- `vtkEncodedGradientEstimator = obj.GetGradientEstimator ()` - Set / Get the gradient estimator used to estimate normals
- `vtkEncodedGradientShader = obj.GetGradientShader ()` - Get the gradient shader.